Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.credentials
Class CredentialMapperImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.credentials.CredentialMapperImpl

Direct Known Subclasses:
  DeployableCredentialMapperImpl

    public class CredentialMapperImpl

extends ProviderImpl

This is the class that a security provider must extend to implement a CredentialMapperImpl security provider See additional text in ProviderImpl.java.

Constructor Summary
`` | `CredentialMapperImpl(ModelMBean base)` Constructor for the CredentialMapperImpl object
`protected` | `CredentialMapperImpl(RequiredModelMBean base)`

Method Summary

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CredentialMapperImpl

    public CredentialMapperImpl(ModelMBean base)
                         throws MBeanException

  Constructor for the CredentialMapperImpl object

  Parameters:
    `base` - Description of the Parameter
  Throws:
    `MBeanException` - Description of the Exception

### CredentialMapperImpl

    protected CredentialMapperImpl(RequiredModelMBean base)
                            throws MBeanException

Throws:
  `MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD